import Stack from '@mui/material/Stack';
import IconButton from '@mui/material/IconButton';
import SearchIcon from '@mui/icons-material/Search';
import { makeStyles } from '@material-ui/core'

import MenuList from './MenuList'
import { IHandleIsOpen } from '../'

const useStyles = makeStyles({
  container: {
    marginLeft:20
  }
})

const Buttons = ({handleIsOpen}:IHandleIsOpen) => {
  const classes = useStyles() 
  return (
    <Stack className={classes.container} direction="row" spacing={1}>
      <IconButton onClick={() => handleIsOpen('search')} aria-label="delete" size="medium">
        <SearchIcon fontSize='medium'/>
      </IconButton>
      <MenuList handleIsOpen={handleIsOpen}/>
    </Stack>
  );
}

export default Buttons