import Stack from '@mui/material/Stack';
import IconButton from '@mui/material/IconButton';
import PersonAddAltIcon from '@mui/icons-material/PersonAddAlt';
import CloseIcon from '@mui/icons-material/Close';
import { makeStyles, Typography } from '@material-ui/core'
import { IHandleIsOpen } from '../../..'

const useStyles = makeStyles({
  container: {
    borderLeft: 'solid 0.5px #9c9c9c',
    paddingLeft: 10,
    paddingBottom: 3,
    width:482
  },
})

const ToolBar = ({handleIsOpen}:IHandleIsOpen) => {
  const classes = useStyles()
  return (
    <Stack className={classes.container} direction="row" spacing={21}>
      <IconButton onClick={() => handleIsOpen(null)} aria-label="delete" size="medium">
        <CloseIcon fontSize='medium'/>
      </IconButton>
      <Typography variant="h6" color="initial">Profile</Typography>
      <IconButton  aria-label="delete" size="medium">
        <PersonAddAltIcon fontSize='medium'/>
      </IconButton>
    </Stack>
    )
}

export default ToolBar