import { useState } from 'react';
import Toolbar from '@mui/material/Toolbar'
import AppBar from '@mui/material/AppBar';
import { makeStyles } from '@material-ui/core'

import RightLists from './RightLists'
import Credentials from './Credentials'
import Buttons from './Buttons'

const useStyles = makeStyles({
  toolBar: {
    color: '#6e6d6d',
    display: 'flex',
    justifyContent: 'space-between',
    backgroundColor: '#ffffff',
  },
})


const HeaderBar = () => {
  const [isOpen,setIsOpen] = useState<TIsOpen>(null)
  const classes = useStyles()
  const handleIsOpen = (flag:TIsOpen) => setIsOpen(flag)
    return (
      <AppBar position="static">
        <Toolbar  className={classes.toolBar}>
          <Credentials handleIsOpen={handleIsOpen}/>
          <Buttons handleIsOpen={handleIsOpen} />
          <RightLists isOpen={isOpen} handleIsOpen={handleIsOpen}/>
        </Toolbar>
      </AppBar>        
    )
}

export default HeaderBar

export type TIsOpen = (null | 'credentials' | 'search' | 'menu')

export interface IHandleIsOpen {
  handleIsOpen:(flag:TIsOpen) => void
}

export interface IHandleOpen {
  isOpen: TIsOpen,
  handleIsOpen:(flag:TIsOpen) => void
}